Skip to main content
GET
/
api
/
public
/
v1
/
leaves
List Leaves
curl --request GET \
  --url https://api.example.com/api/public/v1/leaves
{
  "data": [
    {
      "id": "lv_123...",
      "startDate": "2026-12-20T00:00:00.000Z",
      "endDate": "2026-12-26T23:59:59.999Z",
      "days": 5,
      "reason": "Family vacation",
      "status": "APPROVED",
      "leaveType": {
        "name": "Annual Leave",
        "category": "ANNUAL"
      }
    }
  ]
}
This endpoint allows third-party tools (like external calendars or payroll software) to pull all time-off requests.

Query Parameters

userId
string
Filter leave requests by a specific employee’s unique User ID.
status
string
Filter by approval status (e.g., PENDING, APPROVED, REJECTED, CANCELLED).

Response

{
  "data": [
    {
      "id": "lv_123...",
      "startDate": "2026-12-20T00:00:00.000Z",
      "endDate": "2026-12-26T23:59:59.999Z",
      "days": 5,
      "reason": "Family vacation",
      "status": "APPROVED",
      "leaveType": {
        "name": "Annual Leave",
        "category": "ANNUAL"
      }
    }
  ]
}